Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Haven't seen any other errors like this. Autotest is complaining it can't find Growl even though it's installed. Tried uninstalling/reinstalling everything with sudo. Everything is up-to-date. This is for Mac 10.8.2.

ZenTest is installed and up-to-date.

Redid bundle install

Autotest is in the gemfile

group :test do
  gem 'rspec-rails'
  gem 'webrat'
  gem 'spork'
  gem 'capybara', '1.1.2'
  gem 'autotest-growl'
  gem 'autotest'
  gem 'autotest-fsevent'
end

.autotest (located in the app root directory) requires these:

require 'autotest/fsevent'
require 'autotest/growl'
require 'autotest/fsevent'
require 'autotest/growl'

Autotest.add_hook :initialize do |autotest|
  %w{.git .svn .hg .DS_Store ._* vendor tmp log doc}.each do |exception|
  autotest.add_exception(exception)
  end
end

Here's the console output:

sample_app jameswest$ autotest

loading autotest/rails_rspec2

/Users/jameswest/.rvm/rubies/ruby-1.9.3-p362/bin/ruby -rrubygems -S '/Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.10.1/exe/rspec' --tty '/Users/jameswest/rails_projects/sample_app/spec/controllers/pages_controller_spec.rb' /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/configuration.rb:789:in load': /Users/jameswest/rails_projects/sample_app/spec/controllers/pages_controller_spec.rb:52: syntax error, unexpected $end, expecting keyword_end (SyntaxError) from /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/configuration.rb:789:inblock in load_spec_files' from /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/configuration.rb:789:in each' from /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/configuration.rb:789:inload_spec_files' from /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/command_line.rb:22:in run' from /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/runner.rb:80:inrun' from /Users/jameswest/.rvm/gems/ruby-1.9.3-p362/gems/rspec-core-2.12.2/lib/rspec/core/runner.rb:17:in `block in autorun'

Growl not found: please install Growl and try again
share|improve this question
add comment

1 Answer

You have to install Growl App in your system.

share|improve this answer
    
Welcome to SU. Please consider providing more detailed answer, instead of mere link. –  Martin Prikryl May 13 '13 at 14:44
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.